#include <set>
#include <map>
#include <list>
#include <cmath>
#include <queue>
#include <stack>
#include <cstdio>
#include <string>
#include <vector>
#include <cstdlib>
#include <cstring>
#include <sstream>
#include <iomanip>
#include <iostream>
#include <algorithm>
#include <ctime>
#include <deque>
#include <bitset>
#include <cctype>
#include <utility>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef unsigned int ui;
typedef unsigned long long ull;

#define Rep(i,n) for(int i = 0; i < (n); ++i)
#define Repd(i,n) for(int i = (n)-1; i >= 0; --i)
#define For(i,a,b) for(int i = (a); i <= (b); ++i)
#define Ford(i,a,b) for(int i = (a); i >= (b); --i)
#define Fit(i,v) for(__typeof((v).begin()) i = (v).begin(); i != (v).end(); ++i)
#define Fitd(i,v) for(__typeof((v).rbegin()) i = (v).rbegin(); i != (v).rend(); ++i)
#define mp make_pair
#define pb push_back
#define fi first
#define se second
#define sz(a) ((int)(a).size())
#define all(a) (a).begin(), (a).end()
#define ms(a,x) memset(a, x, sizeof(a))

template<class F, class T> T convert(F a, int p = -1) {
    stringstream ss;
    if (p >= 0)
        ss << fixed << setprecision(p);
    ss << a;
    T r;
    ss >> r;
    return r;
}
template<class T> T gcd(T a, T b) {
    T r;
    while (b != 0) {
        r = a % b;
        a = b;
        b = r;
    }
    return a;
}
template<class T> T lcm(T a, T b) {
    return a / gcd(a, b) * b;
}
template<class T> T sqr(T x) {
    return x * x;
}
template<class T> T cube(T x) {
    return x * x * x;
}
template<class T> int getbit(T s, int i) {
    return (s >> i) & 1;
}
template<class T> T onbit(T s, int i) {
    return s | (T(1) << i);
}
template<class T> T offbit(T s, int i) {
    return s & (~(T(1) << i));
}
template<class T> int cntbit(T s) {
    return s == 0 ? 0 : cntbit(s >> 1) + (s & 1);
}

const int bfsz = 1 << 16;
char bf[bfsz + 5];
int rsz = 0;
int ptr = 0;
char gc() {
    if (rsz <= 0) {
        ptr = 0;
        rsz = (int) fread(bf, 1, bfsz, stdin);
        if (rsz <= 0)
            return EOF;
    }
    --rsz;
    return bf[ptr++];
}
void ga(char &c) {
    c = EOF;
    while (!isalpha(c))
        c = gc();
}
int gs(char s[]) {
    int l = 0;
    char c = gc();
    while (isspace(c))
        c = gc();
    while (c != EOF && !isspace(c)) {
        s[l++] = c;
        c = gc();
    }
    s[l] = '\0';
    return l;
}
template<class T> bool gi(T &v) {
    v = 0;
    char c = gc();
    while (c != EOF && c != '-' && !isdigit(c))
        c = gc();
    if (c == EOF)
        return false;
    bool neg = c == '-';
    if (neg)
        c = gc();
    while (isdigit(c)) {
        v = v * 10 + c - '0';
        c = gc();
    }
    if (neg)
        v = -v;
    return true;
}

typedef pair<int, int> II;
const ld PI = acos(-1.0);
const ld eps = 1e-12;
const int dr[] = { -1, 0, +1, 0};
const int dc[] = { 0, +1, 0, -1};
const int inf = (int) 1e9 + 5;
const ll linf = (ll) 1e16 + 5;
const int mod = (ll) (1e9 + eps);

using namespace std;
#define maxn 4005

int cmp(ld a, ld b) {
	if (abs(a - b) < eps) return 0;
	return a > b ? 1 : -1;
}


struct Point {
	ld x, y;
	Point(){};
	Point(ld _x, ld _y){
		x = _x; y = _y;
	}
	bool operator ==(const Point& that) const {
		return (cmp(x, that.x) == 0 && cmp(y, that.y) == 0);
	}
	bool operator <(const Point& that) const {
		if (cmp(x, that.x) != 0) return cmp(x, that.x) < 0;
		return cmp(y, that.y) < 0;
	}
};

int ccw(Point p0, Point p1, Point p2) {
	ld dx1 = p1.x - p0.x, dy1 = p1.y - p0.y;
	ld dx2 = p2.x - p0.x, dy2 = p2.y - p0.y;
	return cmp(dx1 * dy2 - dx2 * dy1, 0);
}

Point O;

ld sqrdist(Point P0, Point P1){
	return sqr(P0.x - P1.x) + sqr(P0.y - P1.y);
}

bool cmp_angle(Point P1, Point P2) {
    int ret = ccw(O, P1, P2);
    if (ret != 0) return ret > 0;
    return sqrdist(O, P1) < sqrdist(O, P2);
}

int convex_hull(Point a[], int &n) {
    if (n <= 2) {
    	return 0;
    }

    Point b[maxn];
    int run = 0;

    int imin = 0;
    Rep(i, n) if (a[i].y < a[imin].y || (a[i].y == a[imin].y && a[i].x < a[imin].x)) imin = i;

    swap(a[imin], a[0]);
    O = Point(a[0]);
    sort(a + 1, a + n, cmp_angle);

//    Rep(i, n) cout << a[i].x << " " << a[i].y << endl;

    int m = 2;
    For(i, 2, n - 1) {
        while (m > 1 && ccw(a[i], a[m - 1], a[m - 2]) > 0){
        	--m;
        	b[run++] = a[m];
        }
        swap(a[m], a[i]);
        ++m;
    }

    int ret = 0;

    Rep(i, run){
    	if(ccw(a[0], a[m - 1], b[i]) != 0){
    		b[ret++] = b[i];
    	}
    }

    Rep(i, ret) a[i] = b[i];
    return n = ret;
}

Point A[maxn];
int n, m;

int main(){
//	freopen("in.txt", "r", stdin);
	cin >> n;
	Rep(i, n) cin >> A[i].x >> A[i].y;

	int res = 0;
	while(true){
		m = n;
		if(convex_hull(A, n) > m - 3) break;
		else res++;
//		Rep(i, n) cout << A[i].x << " " << A[i].y << endl;
	}

	cout << res << endl;
}




